Bug 819912 - [abrt] system-config-firewall-1.2.29-4.fc16: shutil.py:82:copyfile:IOError: [Errno 13] Permissão negada: '/etc/sysconfig/iptables-config'
[abrt] system-config-firewall-1.2.29-4.fc16: shutil.py:82:copyfile:IOError: [...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
abrt_hash:34885c82858d4a4530649fd5f64...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 11:32 EDT by Tiago Egas
Modified: 2013-02-13 18:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:58:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tiago Egas 2012-05-08 11:32:29 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/system-config-firewall
executable:     /usr/bin/system-config-firewall
kernel:         3.3.4-3.fc16.x86_64
reason:         shutil.py:82:copyfile:IOError: [Errno 13] Permissão negada: '/etc/sysconfig/iptables-config'
time:           Ter 08 Mai 2012 11:31:44 AMT
uid:            1000
username:       tiago

backtrace:
:shutil.py:82:copyfile:IOError: [Errno 13] Permissão negada: '/etc/sysconfig/iptables-config'
:
:Traceback (most recent call last):
:  File "/usr/share/system-config-firewall/fw_gui.py", line 2069, in settings
:    ip4tables_conf.write()
:  File "/usr/share/system-config-firewall/fw_iptables.py", line 152, in write
:    shutil.copy2(self.filename, "%s.old" % self.filename)
:  File "/usr/lib64/python2.7/shutil.py", line 128, in copy2
:    copyfile(src, dst)
:  File "/usr/lib64/python2.7/shutil.py", line 82, in copyfile
:    with open(src, 'rb') as fsrc:
:IOError: [Errno 13] Permissão negada: '/etc/sysconfig/iptables-config'
:
:Local variables in innermost frame:
:src: '/etc/sysconfig/iptables-config'
:dst: '/etc/sysconfig/iptables-config.old'
:fn: '/etc/sysconfig/iptables-config.old'
:st: posix.stat_result(st_mode=33152, st_ino=1080814, st_dev=2051L, st_nlink=1, st_uid=0, st_gid=0, st_size=1780, st_atime=1336490717, st_mtime=1336490716, st_ctime=1336490952)

smolt_data:
:
:
:Geral
:=================================
:UUID: bb22d64d-006d-43ce-987c-efad9929766c
:SO: Fedora release 16 (Verne)
:Nível de execução padrão: Unknown
:Idioma: pt_BR.UTF-8
:Plataforma: x86_64
:BogoMIPS: 4436.49
:Fabricante da CPU: GenuineIntel
:Modelo da CPU: Intel(R) Pentium(R) Dual  CPU  E2200  @ 2.20GHz
:Versão da CPU: 13
:Família da CPU: 6
:Modelo da CPU: 15
:Número de CPUs: 2
:Velocidade da CPU: 2200
:Memória do sistema: 3954
:Swap do sistema: 1499
:Fabricante: System manufacturer
:Sistema: System Product Name System Version
:Fator de uso: Desktop
:Kernel: 3.3.4-3.fc16.x86_64
:SELinux habilitado: 1
:Politica do SELinux: targeted
:Modo de reforço do SELinux: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:10168:4163:33145) pci, None, PCI/ISA, P5KPL-VM Motherboard
:(4354:7:4354:4106) pci, snd_ca0106, MULTIMEDIA_AUDIO, SB0570 [SB Audigy SE]
:(4332:33078:4163:33607) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10202:4163:33145) pci, i801_smbus, SERIAL, P5KPL-VM Motherboard
:(32902:10176:4163:33145) pci, ata_piix, STORAGE, P5KPL-VM Motherboard
:(32902:10192:4163:33145) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4163:33145) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:4163:33663) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:4163:33145) pci, ata_piix, STORAGE, P5KPL-VM Motherboard
:(32902:9294:4163:33145) pci, None, PCI/PCI, 82801 PCI Bridge
:(4318:1600:5218:4754) pci, nvidia, VIDEO, G96 [GeForce 9500 GT]
:(32902:10185:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10184:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10688:4163:33456) pci, None, HOST/PCI, P5KPL-VM Motherboard
:(32902:10186:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10187:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10188:4163:33145) pci, ehci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10689:4163:33456) pci, pcieport, PCI/PCI, 82G33/G31/P35/P31 Express PCI Express Root Port
:
:
:Informações do sistema de arquivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 6382454 4259080 3939080 1602496 1339454 1339454
:/dev/sda2 /boot ext4 1024 1024 151576 93554 85874 38456 38231 38231
:/dev/sda5 /home ext4 4096 4096 115149171 77072575 71308902 28819456 28760362 28760362
:/dev/sdb1 WITHHELD fuseblk 4096 4096 39072255 3153420 3153420 12679216 12625230 12625230
:
Comment 1 Fedora End Of Life 2013-01-16 15:33:59 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 18:58:59 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.